<?php

namespace App\Providers;

use App\Services\BundleUpdaters\BundleUpdaterFactory;
use Illuminate\Support\ServiceProvider;

class BundleUpdaterServiceProvider extends ServiceProvider
{
    protected array $bundleUpdaters = [
        \App\Services\BundleUpdaters\Updaters\CriticUpdater::class,
        \App\Services\BundleUpdaters\Updaters\LegoUpdater::class,
    ];

    /**
     * Register services.
     */
    public function register(): void
    {
        $this->app->singleton('bundleUpdater.factory', function ($app) {
            $factory = new BundleUpdaterFactory();

            foreach ($this->bundleUpdaters as $class) {
                $factory->registerBundleUpdater($class);
            }

            return $factory;
        });
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        //
    }
}
