<?php

namespace App\Providers;

use App\Services\Rebrickable\RebrickableClient;
use Illuminate\Support\ServiceProvider;

class RebrickableServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        $this->app->singleton(RebrickableClient::class, function ($app) {
            $config = $app['config']->get('services.rebrickable');

            return new RebrickableClient($config);
        });
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        //
    }
}
