<?php

namespace App\Services\BundleRenderers\Contracts;

use App\Classes\Bundle;

interface RendersBundle
{
    /**
     * Renders a complete HTML view of the bundle
     */
    public function render(bool $ignoreCache = false);

    /**
     * Renders a card HTML view of the bundle, suitable to display in lists
     */
    public function renderCard();

    /**
     * Return a boolean value indicating if this creator in particular can
     * create bundles for specified section
     */
    public static function handles(Bundle $bundle): bool;

    /**
     * Return an instance of the creator, using specified data as input
     */
    public static function make(Bundle $bundle): RendersBundle;
}
