<?php

namespace App\Services\BundleUpdaters\Updaters;

use App\Classes\Bundle;
use App\Services\BundleUpdaters\Contracts\UpdatesBundle;

abstract class BaseUpdater implements UpdatesBundle
{
    public function __construct(protected Bundle $bundle)
    {
    }

    /**
     * Return an instance of the updater for specified bundle
     */
    public static function make(Bundle $bundle): UpdatesBundle
    {
        return new static($bundle);
    }
}
