<?php

namespace App\Services\Partners\Contracts;

interface Partner
{
    /**
     * Return an affiliate link corresponding to original URL
     */
    public function getAffiliateLink(): string;

    /**
     * Return a boolean value indicating if the partner can handle specified
     * host extracted from a link
     */
    public static function handles(string $host): bool;

    /**
     * Return an instance of a partner using specified url.
     */
    public static function make(string $url): Partner;
}
