<?php

namespace App\Services;

use Illuminate\Support\Facades\Http;

class Translator
{
    /**
     * Provides a translation for specified text
     */
    public static function translate(string $sentence, ?string $sourceLang = 'en', ?string $targetLang = 'fr')
    {
        $response = Http::asForm()->post(sprintf('%s/translate', env('TRANSLATOR_URL')), [
            'q'      => $sentence,
            'source' => $sourceLang,
            'target' => $targetLang,
        ])->json();

        return $response['translatedText'];
    }
}
