<?php

use League\CommonMark\Extension\HeadingPermalink\HeadingPermalinkRenderer;

return [
    'renderer' => [
        'block_separator' => "\n",
        'inner_separator' => "\n",
        'soft_break'      => "\n",
    ],
    'commonmark' => [
        'enable_em'              => true,
        'enable_strong'          => true,
        'use_asterisk'           => true,
        'use_underscore'         => true,
        'unordered_list_markers' => ['-', '*', '+'],
    ],
    'html_input'         => 'allow',
    'allow_unsafe_links' => false,
    'max_nesting_level'  => PHP_INT_MAX,
    'slug_normalizer'    => [
        'max_length' => 255,
    ],
    'disallowed_raw_html' => [
        'disallowed_tags' => ['title'],
    ],
    'external_link' => [
        'internal_hosts'     => parse_url(env('APP_URL'), PHP_URL_HOST),
        'open_in_new_window' => false,
        'html_class'         => 'external',
        'nofollow'           => 'external',
        'noopener'           => 'external',
        'noreferrer'         => 'external',
    ],
    'footnote' => [
        'backref_class'      => 'footnote-backref',
        'backref_symbol'     => '↩',
        'container_add_hr'   => true,
        'container_class'    => 'footnotes',
        'ref_class'          => 'footnote-ref',
        'ref_id_prefix'      => 'fnref:',
        'footnote_class'     => 'footnote',
        'footnote_id_prefix' => 'fn:',
    ],
    'heading_permalink' => [
        'html_class'          => 'heading-permalink',
        'id_prefix'           => '',
        'apply_id_to_heading' => false,
        'heading_class'       => '',
        'fragment_prefix'     => '',
        'insert'              => 'after',
        'min_heading_level'   => 2,
        'max_heading_level'   => 6,
        'title'               => 'Lien direct',
        'symbol'              => HeadingPermalinkRenderer::DEFAULT_SYMBOL,
        'aria_hidden'         => true,
    ],
    'table' => [
        'wrap' => [
            'enabled'    => false,
            'tag'        => 'div',
            'attributes' => [],
        ],
        'alignment_attributes' => [
            'left'   => ['align' => 'left'],
            'center' => ['align' => 'center'],
            'right'  => ['align' => 'right'],
        ],
    ],
    'table_of_contents' => [
        'html_class'        => 'table-of-contents',
        'position'          => 'top',
        'style'             => 'ordered',
        'min_heading_level' => 1,
        'max_heading_level' => 6,
        'normalize'         => 'relative',
        'placeholder'       => null,
    ],
];
