<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('urls', function (Blueprint $table) {
            $table->id();
            $table->json('bundles');
            $table->text('initial_url')->unique()->index();
            $table->text('base_url');
            $table->text('partner_url')->nullable()->default(null);
            $table->text('final_url');
            $table->boolean('is_fragment');
            $table->boolean('is_external');
            $table->string('partner')->nullable()->default(null);
            $table->string('page_title')->nullable()->default(null);
            $table->string('link_title')->nullable()->default(null);
            $table->boolean('is_dead')->nullable()->default(null);
            $table->string('dead_reason')->nullable()->default(null);
            $table->timestamp('dead_since')->nullable()->default(null);
            $table->timestamp('checked_at')->nullable()->default(null);
            $table->string('rel')->nullable()->default(null);
            $table->string('css_class')->nullable()->default(null);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('urls');
    }
};
