@props(['orientation'])
@if ($totalPages > 1 || isset($filters))
<div class="paginator">
    @if($orientation === 'up')
    @isset($filters)
    @include('components.pagination-filters', ['filters' => $filters, 'orientation' => $orientation])
    @endisset
    @endif

    @if ($totalPages > 1)
    @if ($currentPage > 1)
        <div class="left">
            <a href="{{ $root }}page/{{ $currentPage - 1 }}/" title="Articles plus récents">&larr;</a>
        </div>
    @endif

    <details class="drop {{ $orientation }}">
        <summary>{{ $currentPage }}</summary>
        <nav>
            @for ($i = 1; $i <= $totalPages; $i++)
                <a href="{{ $root }}page/{{ $i }}/"
                    @if ($i === $currentPage) class="selected" @endif
                    title="Afficher la page {{ $i }} sur {{ $totalPages }}">{{ $i }}</a>
            @endfor
        </nav>
    </details>

    @if ($currentPage < $totalPages)
        <div class="right">
            <a href="{{ $root }}page/{{ $currentPage + 1 }}/" title="Articles plus anciens">&rarr;</a>
        </div>
    @endif
    @endif

    @if($orientation === 'down')
    @isset($filters)
    @include('components.pagination-filters', ['filters' => $filters, 'orientation' => $orientation])
    @endisset
    @endif
</div>
@endif
