<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8" />

    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />

    <meta name="description" content="{{ $bundle->metadata()->get('description', env('APP_DESCRIPTION')) }}" />
    <meta name="author" content="Richard Dern" />

    <title>{{ $siteTitle }} - {{ env('APP_NAME') }}</title>

    <link rel="icon" type="image/png" href="{{ Vite::asset('resources/images/favicon.png') }}" />
    <link rel="alternate" type="application/rss+xml" href="/index.xml" title="{{ env('APP_NAME') }}" />
    <link rel="preload" as="image" href="{{ Vite::asset('resources/images/logo-large.png') }}" />
    <link rel="preload" as="image" href="{{ Vite::asset('resources/images/logo-large-hover.png') }}" />

    <style>
        :root {
            --logo-large-url: url('{{ Vite::asset('resources/images/logo-large.png') }}');
            --logo-large-hover-url: url('{{ Vite::asset('resources/images/logo-large-hover.png') }}');
        }
    </style>

    @if (Vite::isRunningHot())
        @vite(['resources/css/REVENGE.css', 'resources/css/app.css'])
    @else
        @vite(['resources/css/app.css'])
    @endif
</head>

<body>
    <x-site-header />
    <main>
        @yield('main')
    </main>
    <footer>
        <nav>
            <a href="/index.xml" title="Suivez mon actualité avec mon flux RSS">Flux RSS</a>
            <a href="/pages/newsletter/" title="Abonnez-vous à ma newsletter pour du contenu exclusif">Newsletter</a>
            <a href="https://git.athaliasoft.com" title="Mes dépôts de code source">Forge logicielle</a>
            <a href="/pages/a-propos/" title="À propos de moi">À propos</a>
            <a href="/pages/contact/" title="Différences façons de communiquer avec moi">Me contacter</a>
        </nav>

        <div id="badges">
            <a href="https://validator.w3.org/feed/check.cgi?url=https%3A%2F%2Fwww.richard-dern.fr%2Findex.xml">@if($feedIsValid)
            <img src="{{ Vite::asset('resources/images/feed-valide.svg') }}" alt="Flux valide" />
            @else
            <img src="{{ Vite::asset('resources/images/feed-invalide.svg') }}" alt="Flux invalide" />
            @endif</a>
            <a href="https://jigsaw.w3.org/css-validator/validator?uri=https%3A%2F%2Fwww.richard-dern.fr%2F&profile=css3svg&usermedium=all&warning=1&vextwarning=&lang=fr">@if($cssIsValid)
            <img src="{{ Vite::asset('resources/images/css-valide.svg') }}" alt="CSS valide" />
            @else
            <img src="{{ Vite::asset('resources/images/css-invalide.svg') }}" alt="CSS invalide" />
            @endif</a>
            <a href="https://validator.w3.org/check?uri={{ urlencode(env('APP_URL') . $bundle->getPath()) }}">@if($htmlIsValid)
            <img src="{{ Vite::asset('resources/images/html-valide.svg') }}" alt="HTML valide" />
            @else
            <img src="{{ Vite::asset('resources/images/html-invalide.svg') }}" alt="HTML invalide" />
            @endif</a>
        </div>
    </footer>
</body>

</html>
